import type { Application } from '../application/application.model';
import type { ITask } from '../domain';
export declare class ManifestWriter {
    static deployManifest(command: any, application: Application): PromiseLike<ITask>;
    static deleteManifest(command: any, application: Application): PromiseLike<ITask>;
    static scaleManifest(command: any, application: Application): PromiseLike<ITask>;
    static undoRolloutManifest(command: any, application: Application): PromiseLike<ITask>;
    static resumeRolloutManifest(command: any, application: Application): PromiseLike<ITask>;
    static pauseRolloutManifest(command: any, application: Application): PromiseLike<ITask>;
    static rollingRestartManifest(command: any, application: Application): PromiseLike<ITask>;
}
